<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "education_type".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "EducationType".
 *
 * Columns in table "education_type" available as properties of the model,
 * followed by relations of table "education_type" available as properties of the model.
 *
 * @property integer $id
 * @property string $name
 * @property string $display_name
 *
 * @property ProviderEducation[] $providerEducations
 */
abstract class BaseEducationType extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'education_type';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'EducationType|EducationTypes', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name, display_name', 'required'),
            array('name, display_name', 'length', 'max' => 50),
            array('id, name, display_name', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'providerEducations' => array(self::HAS_MANY, 'ProviderEducation', 'education_type_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'display_name' => Yii::t('app', 'Display Name'),
            'providerEducations' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);
        $criteria->compare('display_name', $this->display_name, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
